%define use_qt5 1
%{?_with_qt5: %global use_qt5 1}
%{?_without_qt5: %global use_qt5 0}

Name:		x2goclient
Epoch:		1
Version:	4.1.2.2
Release:	%mkrel 5
License:	GPLv2+
Group:		Networking/Remote access
%if %{use_qt5}
Summary:	A Qt5 client for the x2go system
%else
Summary:	A Qt4 client for the x2go system
%endif
Url:		https://www.x2go.org
Source0:	https://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz
Patch2:		x2goclient-optflags.patch
BuildRequires:	gcc-c++
BuildRequires:	libldap-devel
BuildRequires:	ImageMagick
BuildRequires:	cups-devel
BuildRequires:	pkgconfig(libssh)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	man
%if %{mdvver} > 5
BuildRequires:	man2html
%endif
%if %{use_qt5}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
%else
BuildRequires:	qt4-devel
%endif
Requires:	hicolor-icon-theme
Requires:	nxproxy
# For GSSAPI authenticated connections
Requires:	openssh-clients
# For local folder sharing and printing
Requires:	openssh-server

Obsoletes:	x2goclient-mozilla-plugin < 4.0.5.2-2

%description
X2goclient is a graphical Qt5 client for the x2go system.
You can use it to connect to running sessions and start new sessions. 

%prep
%setup -q
%patch -P 2 -p1 -b .optflags

# Fix up install issues
sed -i -e 's/-o root -g root//' Makefile

%if %{use_qt5}
sed -i -e '/^QMAKE_BINARY=/s@qmake-qt4@%{_qt5_bindir}/qmake@' Makefile
sed -i -e '/^LRELEASE_BINARY=/s@lrelease-qt4@%{_qt5_bindir}/lrelease@' Makefile
%else
sed -i -e '/^QMAKE_BINARY=/s@qmake-qt4@%{_libdir}/qt4/bin/qmake@' Makefile
sed -i -e '/^LRELEASE_BINARY=/s@lrelease-qt4@%{_libdir}/qt4/bin/lrelease@' Makefile
%endif

# Fix build with libssh >= 0.8
sed -e 's/-lssh_threads//' -i x2goclient.pro

%build
%make_build PREFIX=%{_prefix}

%install
%make_install PREFIX=%{_prefix} \
	INSTALL_DIR="install -d -m0755" \
	INSTALL_FILE="install -m0644" \
	INSTALL_PROGRAM="install -m0755"

desktop-file-edit --remove-key=Version %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS ChangeLog README.*
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1:4.1.2.2-5.mga10
+ Revision: 2128297
- Rebuild for patchN deprecation

* Tue Jan 03 2023 umeabot <umeabot> 1:4.1.2.2-4.mga9
+ Revision: 1929563
- Rebuild to use libldap-2.5 instead of 2.4

* Mon Apr 04 2022 umeabot <umeabot> 1:4.1.2.2-3.mga9
+ Revision: 1843396
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1:4.1.2.2-2.mga8
+ Revision: 1660300
- Rebuild for new Qt5

* Fri May 29 2020 daviddavid <daviddavid> 1:4.1.2.2-1.mga8
+ Revision: 1588801
- new version: 4.1.2.2

* Sat Feb 15 2020 umeabot <umeabot> 1:4.1.2.1-3.mga8
+ Revision: 1525180
- Mageia 8 Mass Rebuild

* Tue Apr 02 2019 umeabot <umeabot> 1:4.1.2.1-2.mga7
+ Revision: 1385268
- Qt5 Rebuild

* Wed Oct 03 2018 daviddavid <daviddavid> 1:4.1.2.1-1.mga7
+ Revision: 1317164
- new version: 4.1.2.1
- port to Qt5
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ ghibo <ghibo>
- Update to release 4.1.0.0.

* Tue Jan 17 2017 ghibo <ghibo> 1:4.0.5.2-1.mga6
+ Revision: 1082188
- Add conditional building flag for building against Qt5.
- Update to release 4.0.5.2.
- Merge Patch2 from Fedora.

* Wed Feb 17 2016 umeabot <umeabot> 1:4.0.1.3-6.mga6
+ Revision: 963470
- Mageia 6 Mass Rebuild

* Thu Nov 12 2015 tv <tv> 1:4.0.1.3-5.mga6
+ Revision: 902882
- BR man2html

* Wed Oct 15 2014 umeabot <umeabot> 1:4.0.1.3-4.mga5
+ Revision: 748804
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:4.0.1.3-3.mga5
+ Revision: 730732
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:4.0.1.3-2.mga5
+ Revision: 690534
- Mageia 5 Mass Rebuild

* Sun Jan 26 2014 colin <colin> 1:4.0.1.3-1.mga4
+ Revision: 568255
- New version: 4.0.1.3

* Wed Nov 20 2013 dams <dams> 1:4.0.0.1-4.mga4
+ Revision: 552065
- some fix for the install part

* Fri Oct 18 2013 umeabot <umeabot> 1:4.0.0.1-3.mga4
+ Revision: 520372
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1:4.0.0.1-2.mga3
+ Revision: 386404
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 obgr_seneca <obgr_seneca> 1:4.0.0.1-1.mga3
+ Revision: 344103
- new version

* Sat Aug 25 2012 obgr_seneca <obgr_seneca> 1:3.99.2.2-1.mga3
+ Revision: 283870
- Rediffed patch
- New version

* Thu Jun 14 2012 obgr_seneca <obgr_seneca> 1:3.99.2.1-1.mga3
+ Revision: 260553
- new version 3.99.2.1

* Mon May 28 2012 obgr_seneca <obgr_seneca> 1:3.99.2.0-1.mga3
+ Revision: 247877
- New version 3.99.2.0

* Tue Apr 03 2012 obgr_seneca <obgr_seneca> 1:3.99.1.1-1.mga2
+ Revision: 228283
- New version 3.99.1.1

* Fri Mar 02 2012 obgr_seneca <obgr_seneca> 1:3.99.1.0-2.mga2
+ Revision: 216780
- added missing require on nxproxy

* Wed Feb 29 2012 obgr_seneca <obgr_seneca> 1:3.99.1.0-1.mga2
+ Revision: 216033
- removed forced reduction of build threats
- added man as BR
- force only 4 threads on make
- rewrote SPEC file
- use more generic build process now
- added patch for qt build tools binary name
- added mozilla plugin sub package
- new version 3.99.1.0

* Tue Feb 07 2012 obgr_seneca <obgr_seneca> 1:3.99.0.6-1.mga2
+ Revision: 205880
- new version 3.99.0.6

* Sat Jan 28 2012 obgr_seneca <obgr_seneca> 1:3.99.0.5-1.mga2
+ Revision: 202634
- new version 3.99.0.5

* Fri Jan 13 2012 obgr_seneca <obgr_seneca> 1:3.99.0.3-1.mga2
+ Revision: 195821
- added xpm-devel as BR
- new version 3.99.0.3

* Thu Jan 05 2012 obgr_seneca <obgr_seneca> 1:3.0.1.18-1.mga2
+ Revision: 191589
- new version 3.0.1.18
- added Epoch because of upstream versioning change
- added patch to fix qmake file
- added patch to build against cups 1.5.0

* Tue Apr 19 2011 obgr_seneca <obgr_seneca> 3.01-4.mga1
+ Revision: 88464
- imported package x2goclient

